<?php
/**
 * Records clicks and redirects to services/go.php.
 *
 * Copyright 2005-2006 Ben Chavet <ben@horde.org>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: trean/redirect.php,v 1.3 2006/01/01 21:12:00 jan Exp $
 */

@define('TREAN_BASE', dirname(__FILE__));
require_once TREAN_BASE . '/lib/base.php';

$bookmark_id = Util::getFormData('bookmark_id');
$bookmark = &$trean_shares->getBookmark($bookmark_id);
$bookmark->addClick();

header('Location: ' . Horde::externalUrl($bookmark->get('url')));
