<script type="text/javascript">
<!--
function addBookmark() {
    if (document.bookmark.selected_category.value == '*new*') {
        var newCategory = window.prompt('<?php echo addslashes(_("Please enter a name for the new category:")) ?>\n', '');
        if (newCategory != null && newCategory != '') {
            document.bookmark.newCategory.value = 1;
            document.bookmark.category_id.value = newCategory;
            document.bookmark.submit();
        }
    } else {
        if (document.bookmark.selected_category.value == '') {
            window.alert('<?php echo addslashes(_("You must select a target category first")) ?>');
        } else {
            document.bookmark.category_id.value = document.bookmark.selected_category.value;
            document.bookmark.submit();
        }
    }
}
//-->
</script>

<form name="bookmark" action="add.php" method="post">
<?php echo Util::formInput() ?>
<input type="hidden" name="newCategory" value="0" />
<input type="hidden" name="category_id" value="" />
<input type="hidden" name="actionID" value="add_bookmark" />
<input type="hidden" name="popup" value="<?php echo htmlspecialchars(Util::getFormData('popup')) ?>" />

<h1 class="header">
 <?php echo _("Add a new bookmark") ?>
</h1>

<table style="padding:2px" cellspacing="0">
<tr>
  <td class="light" align="right"><strong><?php echo _("URL") ?></strong></td>
  <td><input type="text" name="url" size="40" value="<?php echo Util::getFormData('url', 'http://') ?>" /></td>
</tr>

<tr>
  <td class="light" align="right"><strong><?php echo _("Title") ?></strong></td>
  <td><input type="text" name="title" size="40" value="<?php echo Util::getFormData('title', '') ?>" /></td>
</tr>

<tr>
  <td class="light" align="right"><strong><?php echo _("Description") ?></strong></td>
  <td><input type="text" name="description" size="40" value="<?php echo Util::getFormData('description', '') ?>" /></td>
</tr>

<tr>
  <td class="light" align="right"><strong><?php echo _("Category") ?></strong></td>
  <td>
   <select name="selected_category">
    <?php echo Trean::categorySelect(Util::getFormData('category_id', DATATREE_ROOT), PERMS_EDIT, null, DATATREE_ROOT, true, 0, 0, true) ?>
   </select>
  </td>
</tr>

<tr>
  <td>
  </td>
  <td>
    <input type="submit" class="button" name="save" value="<?php echo _("Save") ?>" onclick="addBookmark(); return false;" />
    <input type="reset" class="button" name="reset" value="<?php echo _("Reset") ?>" />
  </td>
</tr>

</table>
</form>

<?php if (!Util::getFormData('popup')): ?>
<div class="box" style="margin:8px; padding:8px">
 <h3><?php echo _("To be able to quickly add bookmarks from your web browser:") ?></h3>
 <h4><?php echo _("Mozilla") ?></h4>
 <p><?php echo _("Drag the \"Add to Bookmarks\" link below onto your \"Personal Toolbar\".") ?></p>
 <h4><?php echo _("Internet Explorer") ?></h4>
 <p><?php echo _("Drag the \"Add to Bookmarks\" link below onto your \"Links\" Bar") ?></p>
 <p><?php echo _("While browsing you will be able to bookmark the current page by clicking your new \"Add to Bookmarks\" shortcut.") ?></p>
 <p>
    <strong><?php echo _("Note:") ?></strong>
    <?php printf(_("On newer versions of Internet Explorer, you may have to add %s://%s to your Trusted Zone for this to work."), !empty($_SERVER['HTTPS']) ? 'https' : 'http', $conf['server']['name']) ?>
 </p>
<?php
$addUrl = Horde::url(Util::addParameter('add.php', 'popup', 1), true, -1);
$url = "javascript:d = new Date(); w = window.open('$addUrl' + '&amp;title=' + escape(document.title) + '&amp;url=' + escape(location.href) + '&amp;d=' + d.getTime(), d.getTime(), 'height=300,width=400'); w.focus();";
echo '<p><a href="' . $url . '">' . Horde::img('add.png') . _("Add to Bookmarks") . '</a></p>';
?>
</div>
<?php endif; ?>
