<?php
$url = $bookmark->get('url');
$bookmark_url = Util::addParameter(Horde::applicationUrl('redirect.php'), 'bookmark_id', $bookmark->getId());
$b_title = trim($bookmark->get('title'));
$description = trim($bookmark->get('description'));
$target = $GLOBALS['prefs']->getValue('show_in_new_window') ? '_blank' : '';

if ($bookmark->get('http-status') == 'error') {
    $status = 'error.png';
} elseif ($bookmark->get('http-status') == '') {
    $status = '';
} else {
    $status = substr($bookmark->get('http-status'), 0, 1) . 'xx.png';
}

?>
<table width="100%" cellspacing="0">
  <td valign="top">
    <?php echo Horde::img(Trean::getFavicon($bookmark), '', 'style="width:16px;height:16px"', ''); ?>
    <?php if ($status) echo Horde::img('http/' . $status) ?>
  </td>

  <td width="100%" valign="top">
    <div style="float:right;white-space:nowrap"><?php for ($i = 1; $i <= $bookmark->get('rating'); $i++) { echo Horde::img('star.png'); } ?></div>

    <div>
      <?php echo Horde::link($bookmark_url, '', '', $target) . $b_title ?></a>
    </div>

    <div class="small">
      <span class="small">(<?php echo $bookmark->get('clicks')?> <?php echo ($bookmark->get('clicks') == 1 ? _("click") : _("clicks")) ?>)</span>
      <?php echo $bookmark->get('description') ?>
    </div>
  </td>

 </tr>
</table>
