<?php $bookmark_id = $bookmark->getId() ?>
<input type="hidden" name="bookmark_id[<?php echo $bookmark_id ?>]" />

<table width="100%">
<tr>
  <td colspan="2" class="header">
    <?php echo Horde::img(Trean::getFavicon($bookmark), '', 'style="width:16px;height:16px"', '') ?>
    <?php echo htmlspecialchars($bookmark->get('title')) ?>
  </td>
</tr>

<tr>
  <td align="right" width="1"><strong><?php echo _("Title") ?>&nbsp;</strong></td>
  <td><input type="text" name="title[<?php echo $bookmark_id ?>]" size="40" value="<?php echo htmlspecialchars($bookmark->get('title')) ?>" /></td>
</tr>

<tr>
  <td align="right"><strong><?php echo _("Description") ?>&nbsp;</strong></td>
  <td><input type="text" name="description[<?php echo $bookmark_id ?>]" size="40" value="<?php echo htmlspecialchars($bookmark->get('description')) ?>" /></td>
</tr>

<tr>
  <td align="right"><strong><?php echo _("URL") ?>&nbsp;</strong></td>
  <td><input type="text" name="url[<?php echo $bookmark_id ?>]" size="40" value="<?php echo htmlspecialchars($bookmark->get('url')) ?>" /></td>
</tr>

<tr>
  <td align="right" valign="top"><strong><?php echo _("Rating") ?>&nbsp;</strong></td>
  <td>
  <?php
  $rating = $bookmark->get('rating');
  for ($i = 0; $i <= 5; $i++) {
      $checked = ($rating == $i) ? 'checked="checked"' : '';
      echo '<input type="radio" name="rating[' . $bookmark_id . ']" value="' . $i . '" ' . $checked . '/>';
      for ($j = 0; $j < $i; $j++) {
          echo Horde::img('star.png');
      }
      for ($j = $i; $j < 5; $j++) {
          echo Horde::img('rating.png');
      }
      echo '<br />';
  }
  ?>
  </td>
</tr>

<?php if ($bookmark->get('http-status')): ?>

<?php
if ($bookmark->get('http-status') == 'error') {
    $status = 'error';
} elseif ($bookmark->get('http-status') == '') {
    $status = '';
} else {
    $status = substr($bookmark->get('http-status'), 0, 1) . 'xx';
}
?>

  <tr>
    <td class="rightAlign nowrap"><strong><?php echo _("HTTP Status") ?>&nbsp;</strong></td>
    <td><?php if ($status) { echo Horde::img('http/' . $status . '.png'); } ?> <?php echo $bookmark->get('http-status') ?> - <?php echo Trean::HTTPStatus($bookmark->get('http-status')) ?></td>
  </tr>

  <?php if ($status == '3xx'): ?>
    <tr>
      <td></td>
      <td><input type="checkbox" name="redirect[<?php echo $bookmark_id ?>]" /> <?php printf(_("Redirect to %s"), $bookmark->get('http-Location')) ?></td>
    </tr>
  <?php elseif ($status == '4xx' || $status == 'error'): ?>
    <tr>
      <td></td>
      <td><label><input type="checkbox" name="delete[<?php echo $bookmark_id ?>]" /> <?php echo _("Delete Bookmark") ?></label></td>
    </tr>
  <?php endif; ?>

<?php endif; ?>

<tr>
  <td align="right"><strong><?php echo _("Category") ?>&nbsp;</strong></td>
  <td>
  <select name="new_category[<?php echo $bookmark_id ?>]">
    <?php echo Trean::categorySelect($category_id, PERMS_EDIT) ?>
  </select>
  </td>
</tr>
</table>
<br />