<?php
$bookmarks = &$trean_shares->listBookmarks(Auth::getAuth(), true);

$status = array();

foreach ($bookmarks as $bookmark_id => $bookmark) {
    switch (substr($bookmark->get('http-status'), 0, 1)) {
    case '1':
        if (!isset($status['1xx'])) {
            $status['1xx'] = 0;
        }
        $status['1xx']++;
        break;
    case '2':
        if (!isset($status['2xx'])) {
            $status['2xx'] = 0;
        }
        $status['2xx']++;
        break;
    case '3':
        if (!isset($status['3xx'])) {
            $status['3xx'] = 0;
        }
        $status['3xx']++;
        break;
    case '4':
        if (!isset($status['4xx'])) {
            $status['4xx'] = 0;
        }
        $status['4xx']++;
        break;
    case '5':
        if (!isset($status['5xx'])) {
            $status['5xx'] = 0;
        }
        $status['5xx']++;
        break;
    }

    if ($bookmark->get('http-status') == '') {
        if (!isset($status['unknown'])) {
            $status['unknown'] = 0;
        }
        $status['unknown']++;
    } else {
        if (!isset($status[$bookmark->get('http-status')])) {
            $status[$bookmark->get('http-status')] = 0;
        }
        $status[$bookmark->get('http-status')]++;
    }

}

?>

<h1 class="header"><?php echo _("HTTP Status"); ?></h1>

<?php if (isset($status['1xx'])): ?>
<div class="reportheader"><?php echo Horde::img('http/1xx.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', '1xx')) . sprintf(_("1xx Response Codes (%s)"), $status['1xx']); ?></a></div>
<?php if (isset($status['100'])) { echo '<div class="report">' . $status['100'] . ' - 100 ' . Trean::HTTPStatus('100') . '</div>'; } ?>
<?php if (isset($status['101'])) { echo '<div class="report">' . $status['101'] . ' - 101 ' . Trean::HTTPStatus('101') . '</div>'; } ?>
<?php endif; ?>

<?php if (isset($status['2xx'])): ?>
<div class="reportheader"><?php echo Horde::img('http/2xx.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', '2xx')) . sprintf(_("2xx Response Codes (%s)"), $status['2xx']); ?></a></div>
<?php if (isset($status['200'])) { echo '<div class="report">' . $status['200'] . ' - 200 ' . Trean::HTTPStatus('200') . '</div>'; } ?>
<?php if (isset($status['201'])) { echo '<div class="report">' . $status['201'] . ' - 201 ' . Trean::HTTPStatus('201') . '</div>'; } ?>
<?php if (isset($status['202'])) { echo '<div class="report">' . $status['202'] . ' - 202 ' . Trean::HTTPStatus('202') . '</div>'; } ?>
<?php if (isset($status['203'])) { echo '<div class="report">' . $status['203'] . ' - 203 ' . Trean::HTTPStatus('203') . '</div>'; } ?>
<?php if (isset($status['204'])) { echo '<div class="report">' . $status['204'] . ' - 204 ' . Trean::HTTPStatus('204') . '</div>'; } ?>
<?php if (isset($status['205'])) { echo '<div class="report">' . $status['205'] . ' - 205 ' . Trean::HTTPStatus('205') . '</div>'; } ?>
<?php if (isset($status['206'])) { echo '<div class="report">' . $status['206'] . ' - 206 ' . Trean::HTTPStatus('206') . '</div>'; } ?>
<?php endif; ?>

<?php if (isset($status['3xx'])): ?>
<div class="reportheader"><?php echo Horde::img('http/3xx.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', '3xx')) . sprintf(_("3xx Response Codes (%s)"), $status['3xx']); ?></a></div>
<?php if (isset($status['300'])) { echo '<div class="report">' . $status['300'] . ' - 300 ' . Trean::HTTPStatus('300') . '</div>'; } ?>
<?php if (isset($status['301'])) { echo '<div class="report">' . $status['301'] . ' - 301 ' . Trean::HTTPStatus('301') . '</div>'; } ?>
<?php if (isset($status['302'])) { echo '<div class="report">' . $status['302'] . ' - 302 ' . Trean::HTTPStatus('302') . '</div>'; } ?>
<?php if (isset($status['303'])) { echo '<div class="report">' . $status['303'] . ' - 303 ' . Trean::HTTPStatus('303') . '</div>'; } ?>
<?php if (isset($status['304'])) { echo '<div class="report">' . $status['304'] . ' - 304 ' . Trean::HTTPStatus('304') . '</div>'; } ?>
<?php if (isset($status['305'])) { echo '<div class="report">' . $status['305'] . ' - 305 ' . Trean::HTTPStatus('305') . '</div>'; } ?>
<?php if (isset($status['307'])) { echo '<div class="report">' . $status['307'] . ' - 307 ' . Trean::HTTPStatus('307') . '</div>'; } ?>
<?php endif; ?>

<?php if (isset($status['4xx'])): ?>
<div class="reportheader"><?php echo Horde::img('http/4xx.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', '4xx')) . sprintf(_("4xx Response Codes (%s)"), $status['4xx']); ?></a></div>
<?php if (isset($status['400'])) { echo '<div class="report">' . $status['400'] . ' - 400 ' . Trean::HTTPStatus('400') . '</div>'; } ?>
<?php if (isset($status['401'])) { echo '<div class="report">' . $status['401'] . ' - 401 ' . Trean::HTTPStatus('401') . '</div>'; } ?>
<?php if (isset($status['402'])) { echo '<div class="report">' . $status['402'] . ' - 402 ' . Trean::HTTPStatus('402') . '</div>'; } ?>
<?php if (isset($status['403'])) { echo '<div class="report">' . $status['403'] . ' - 403 ' . Trean::HTTPStatus('403') . '</div>'; } ?>
<?php if (isset($status['404'])) { echo '<div class="report">' . $status['404'] . ' - 404 ' . Trean::HTTPStatus('404') . '</div>'; } ?>
<?php if (isset($status['405'])) { echo '<div class="report">' . $status['405'] . ' - 405 ' . Trean::HTTPStatus('405') . '</div>'; } ?>
<?php if (isset($status['406'])) { echo '<div class="report">' . $status['406'] . ' - 406 ' . Trean::HTTPStatus('406') . '</div>'; } ?>
<?php if (isset($status['407'])) { echo '<div class="report">' . $status['407'] . ' - 407 ' . Trean::HTTPStatus('407') . '</div>'; } ?>
<?php if (isset($status['408'])) { echo '<div class="report">' . $status['408'] . ' - 408 ' . Trean::HTTPStatus('408') . '</div>'; } ?>
<?php if (isset($status['409'])) { echo '<div class="report">' . $status['409'] . ' - 409 ' . Trean::HTTPStatus('409') . '</div>'; } ?>
<?php if (isset($status['410'])) { echo '<div class="report">' . $status['410'] . ' - 410 ' . Trean::HTTPStatus('410') . '</div>'; } ?>
<?php if (isset($status['411'])) { echo '<div class="report">' . $status['411'] . ' - 411 ' . Trean::HTTPStatus('411') . '</div>'; } ?>
<?php if (isset($status['412'])) { echo '<div class="report">' . $status['412'] . ' - 412 ' . Trean::HTTPStatus('412') . '</div>'; } ?>
<?php if (isset($status['413'])) { echo '<div class="report">' . $status['413'] . ' - 413 ' . Trean::HTTPStatus('413') . '</div>'; } ?>
<?php if (isset($status['414'])) { echo '<div class="report">' . $status['414'] . ' - 414 ' . Trean::HTTPStatus('414') . '</div>'; } ?>
<?php if (isset($status['415'])) { echo '<div class="report">' . $status['415'] . ' - 415 ' . Trean::HTTPStatus('415') . '</div>'; } ?>
<?php if (isset($status['416'])) { echo '<div class="report">' . $status['416'] . ' - 416 ' . Trean::HTTPStatus('416') . '</div>'; } ?>
<?php if (isset($status['417'])) { echo '<div class="report">' . $status['417'] . ' - 417 ' . Trean::HTTPStatus('417') . '</div>'; } ?>
<?php endif; ?>

<?php if (isset($status['5xx'])): ?>
<div class="reportheader"><?php echo Horde::img('http/5xx.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', '5xx')) . sprintf(_("5xx Response Codes (%s)"), $status['5xx']); ?></a></div>
<?php if (isset($status['500'])) { echo '<div class="report">' . $status['500'] . ' - 500 ' . Trean::HTTPStatus('500') . '</div>'; } ?>
<?php if (isset($status['501'])) { echo '<div class="report">' . $status['501'] . ' - 501 ' . Trean::HTTPStatus('501') . '</div>'; } ?>
<?php if (isset($status['502'])) { echo '<div class="report">' . $status['502'] . ' - 502 ' . Trean::HTTPStatus('502') . '</div>'; } ?>
<?php if (isset($status['503'])) { echo '<div class="report">' . $status['503'] . ' - 503 ' . Trean::HTTPStatus('503') . '</div>'; } ?>
<?php if (isset($status['504'])) { echo '<div class="report">' . $status['504'] . ' - 504 ' . Trean::HTTPStatus('504') . '</div>'; } ?>
<?php if (isset($status['505'])) { echo '<div class="report">' . $status['505'] . ' - 505 ' . Trean::HTTPStatus('505') . '</div>'; } ?>
<?php endif; ?>

<?php if (isset($status['error'])): ?>
<div class="reportheader"><?php echo Horde::img('http/error.png'); ?> <?php echo Horde::link(Util::addParameter(Horde::selfUrl(true), 'drilldown', 'error')) . sprintf(_("DNS Failure or Other Error (%s)"), $status['error']); ?></a></div>
<?php endif; ?>

<?php if (isset($status['unknown'])): ?>
<div class="reportheader" style="margin-left:16px"><?php printf(_("Unknown (%s)"), $status['unknown']); ?></div>
<?php endif; ?>

<div class="reportheader" style="margin-left:16px"> <?php echo _("Total"); ?></div>
<div class="report"><?php printf(_("%s Bookmarks"), count($bookmarks)); ?></div>
