<?php
$target = $GLOBALS['prefs']->getValue('show_in_new_window') ? '_blank' : '';
$url = $bookmark->get('url');
$bookmark_url = Util::addParameter(Horde::applicationUrl('redirect.php'), 'bookmark_id', $bookmark->getId());
$b_title = $bookmark->get('title');
$description = $bookmark->get('description');

if ($bookmark->get('http-status') == 'error') {
    $status = 'error.png';
} elseif ($bookmark->get('http-status') == '') {
    $status = '';
} else {
    $status = substr($bookmark->get('http-status'), 0, 1) . 'xx.png';
}

?>
<table width="100%" cellspacing="0">
<tr>

  <?php if ($GLOBALS['prefs']->getValue('display_edit')): ?>
    <td valign="top" style="white-space:nowrap;">
      <input type="checkbox" class="checkbox" name="bookmark_id[<?php echo $bookmark->getId(); ?>]" />
    </td>
  <?php endif; ?>

  <td valign="top" style="white-space:nowrap">
    <?php echo Horde::img(Trean::getFavicon($bookmark), '', 'style="width:16px;height:16px"', ''); ?>
    <?php echo ($status) ? Horde::img('http/' . $status) : Horde::img('blank.gif', '', 'style="width:16px;height:16px"', $registry->getImageDir('horde')); ?>
  </td>

  <td width="100%" valign="top" style="overflow:hidden">
    <?php echo Horde::link($bookmark_url, '', '', $target) ?><?php echo $b_title ?></a>
    <span class="small">(<?php echo $bookmark->get('clicks')?> <?php echo ($bookmark->get('clicks') == 1 ? _("click") : _("clicks")) ?>)</span>
  </td>

  <?php if ($GLOBALS['prefs']->getValue('display_rating')): ?>
    <td valign="top" style="white-space:nowrap;padding-right:10px;text-align:right">
    <?php
    for ($i = 1; $i <= $bookmark->get('rating'); $i++) { 
          echo Horde::img('star.png'); 
      }
      for ($i = $bookmark->get('rating'); $i < 5; $i++) {
          echo Horde::img('rating.png');
      }
      ?>
    </td>
  <?php endif; ?>

</tr>
</table>
