<?php
$target = $GLOBALS['prefs']->getValue('show_in_new_window') ? '_blank' : '';
$url = $bookmark->get('url');
$bookmark_url = Util::addParameter(Horde::applicationUrl('redirect.php'), 'bookmark_id', $bookmark->getId());
$b_title = trim($bookmark->get('title'));

if ($bookmark->get('http-status') == 'error') {
    $status = 'error.png';
} elseif ($bookmark->get('http-status') == '') {
    $status = '';
} else {
    $status = substr($bookmark->get('http-status'), 0, 1) . 'xx.png';
}

?>
<table width="100%" cellspacing="0">
 <tr>

  <?php if ($GLOBALS['prefs']->getValue('display_edit')) : ?>
   <td valign="top">
     <input type="checkbox" class="checkbox" name="bookmark_id[<?php echo $bookmark->getId(); ?>]" />
   </td>
  <?php endif; ?>

  <td valign="top">
   <?php echo Horde::img(Trean::getFavicon($bookmark), '', 'style="width:16px;height:16px"', ''); ?>
   <?php if ($status) echo Horde::img('http/' . $status) ?>
  </td>

  <td valign="top" width="100%">
   <div style="font-weight:bold;">
    <?php echo Horde::link($bookmark_url, '', '', $target) . $b_title ?></a>
    <span class="small" style="font-weight:normal">(<?php echo $bookmark->get('clicks')?> <?php echo ($bookmark->get('clicks') == 1 ? _("click") : _("clicks")) ?>)</span>
   </div>

   <div class="small" style="overflow:hidden;">
    <?php echo Horde::link($bookmark_url, '', '', $target) . $url ?></a>
   </div>

   <div class="small" style="overflow:hidden;">
    <?php echo htmlspecialchars($bookmark->get('description')) ?>
   </div>
  </td>

  <?php if ($GLOBALS['prefs']->getValue('display_rating')): ?>
    <td valign="top" style="white-space:nowrap;padding-right:10px;text-align:right">
    <?php
    $params = array('actionID' => 'modify_rating',
                    'category_id' => $category_id,
                    'bookmark_id' => $bookmark->getId());
                  
    for ($i = 1; $i <= $bookmark->get('rating'); $i++) { 
        $params['rating'] = $i;
        echo Horde::link(Horde::applicationUrl(Util::addParameter('edit.php', $params)));
        echo Horde::img('star.png'); 
        echo '</a>';
    }
    for ($i = $bookmark->get('rating'); $i < 5; $i++) {
        $params['rating'] = $i + 1;
        echo Horde::link(Horde::applicationUrl(Util::addParameter('edit.php', $params)));
        echo Horde::img('rating.png');
        echo '</a>';
    }
    ?>
    </td>
  <?php endif; ?>

 </tr>
</table>
