<form name="browse" action="<?php echo Horde::applicationURL('add.php'); ?>" method="post">
<?php Util::pformInput() ?>
  <input type="hidden" name="actionID" value="" />
  <input type="hidden" name="name" value="" />
  <input type="hidden" name="category_id" value="<?php echo Util::getFormData('category_id', DATATREE_ROOT) ?>" />
</form>

<form name="edit" action="<?php echo Horde::applicationURL('edit.php'); ?>" method="post">
<?php Util::pformInput() ?>
  <input type="hidden" name="actionID" value="" />
  <input type="hidden" name="name" value="" />
  <input type="hidden" name="category_id" value="<?php echo Util::getFormData('category_id', DATATREE_ROOT) ?>" />
</form>

<script type="text/javascript">
<!--

var loading;

function otherActions(action)
{
    if (action == "new_bookmark" || (document.bookmarks != null && document.bookmarks.other_actions.value == "new_bookmark")) {
        window.location = "<?php echo Horde::applicationUrl(Util::addParameter('add.php', 'category_id', $GLOBALS['category_id'])); ?>";
    } else if (action == "new_subcategory" || (document.bookmarks != null && document.bookmarks.other_actions.value == "new_subcategory")) {
        var cat = window.prompt('<?php echo addslashes(_("You are creating a category folder.")) . '\n' . addslashes(_("Please enter the name of the new category:")) ?>\n', '');
        if (cat) {
            document.browse.actionID.value = 'add_category';
            document.browse.name.value = cat;
            document.browse.submit();
        }
    } else if (action == "delete_category" || (document.bookmarks != null && document.bookmarks.other_actions.value == "delete_category")) {
        var result = window.confirm('<?php echo addslashes(_("Delete current category?")) ?>');
        if (result) {
            document.edit.actionID.value = 'del_category';
            document.edit.name.value = "<?php echo htmlspecialchars(Util::getFormData('category_id', DATATREE_ROOT)) ?>";
            document.edit.submit();
        }
    } else if (action == "rename_category" || (document.bookmarks != null && document.bookmarks.other_actions.value == "rename_category")) {
        var cat = window.prompt('<?php echo addslashes(_("You are renaming the current category folder.")) . '\n' . addslashes(_("Please modify the name accordingly")) ?>\n', "<?php echo $category->get('name') ?>");
        if (cat) {
            document.edit.actionID.value = 'rename';
            document.edit.name.value = cat;
            document.edit.submit();
        }
    } else if (action == "set_permissions" || (document.bookmarks != null && document.bookmarks.other_actions.value == "set_permissions")) {
        var now = new Date();
        var name = now.getTime();
        var url = '<?php echo str_replace('&amp;', '&', Util::addParameter(Horde::applicationUrl('perms.php'), 'share', $GLOBALS['category']->getName())) ?>';
        param = "toolbar=no,location=no,status=yes,scrollbars=yes,resizable=yes,width=600,height=500,left=0,top=0";
        window.open(url, name, param);
    }
}

function selectAll()
{
    for (var i = 0; i < document.bookmarks.elements.length; ++i) {
        document.bookmarks.elements[i].checked = true;
    }
}

function selectNone()
{
    for (var i = 0; i < document.bookmarks.elements.length; ++i) {
        document.bookmarks.elements[i].checked = false;
    }
}

function selectCategories()
{
    for (var i = 6; i < <?php echo (count($GLOBALS['categories']) + 6); ?>; ++i) {
        document.bookmarks.elements[i].checked = true;
    }
}

function selectBookmarks()
{
    min = <?php echo count($GLOBALS['categories']) + 6 ?>;
    for (var i = min; i < min + <?php echo count($GLOBALS['bookmarks']) ?>; ++i) {
        document.bookmarks.elements[i].checked = true;
    }
}

function editSelected()
{
    if (loading == null) {
        selected = false;
        for (var i = 0; i < document.bookmarks.elements.length; ++i) {
            if (document.bookmarks.elements[i].checked) {
                selected = true;
            }
        }
        if (selected) {
            loading = true;
            document.bookmarks.actionID.value = 'edit';
            document.bookmarks.submit();
        } else {
            alert('<?php echo addslashes(_("Please select an item first")) ?>');
        }
    }
}

function deleteSelected()
{
    if (loading == null) {
        selected = false;
        for (var i = 0; i < document.bookmarks.elements.length; ++i) {
            if (document.bookmarks.elements[i].checked) {
                selected = true;
            }
        }
        if (!selected) {
            alert('<?php echo addslashes(_("Please select an item first")) ?>');
        }
        if (confirm('<?php echo addslashes(_("Are you sure you want to delete the selected items?")) ?>')) {
            loading = true;
            document.bookmarks.actionID.value = 'delete';
            document.bookmarks.submit();
        }
    }
}

function copySelected()
{
    if (loading == null) {
        selected = false;
        for (var i = 0; i < document.bookmarks.elements.length; ++i) {
            if (document.bookmarks.elements[i].checked) {
                selected = true;
            }
        }
        if (selected) {
            if (document.bookmarks.selected_category.value == '*new*') {
                var newCategory = window.prompt('<?php echo addslashes(_("Please enter a name for the new category:")) ?>\n', '');
                if (newCategory != null && newCategory != '') {
                    document.bookmarks.create_category.value = 1;
                    document.bookmarks.new_category.value = newCategory;
                    document.bookmarks.actionID.value = 'copy';
                    loading = true;
                    document.bookmarks.submit();
                }
            } else {
                if (document.bookmarks.selected_category.value == '') {
                    window.alert('<?php echo addslashes(_("You must select a target category first")) ?>');
                } else {
                    loading = true;
                    document.bookmarks.actionID.value = 'copy';
                    document.bookmarks.new_category.value = document.bookmarks.selected_category.value;
                    document.bookmarks.submit();
                }
            }
        } else {
            alert('<?php echo addslashes(_("Please select an item first")) ?>');
        }
    }
}

function moveSelected()
{
    if (loading == null) {
        selected = false;
        for (var i = 0; i < document.bookmarks.elements.length; ++i) {
            if (document.bookmarks.elements[i].checked) {
                selected = true;
            }
        }
        if (selected) {
            if (document.bookmarks.selected_category.value == '*new*') {
                var newCategory = window.prompt('<?php echo addslashes(_("Please enter a name for the new category:")) ?>\n', '');
                if (newCategory != null && newCategory != '') {
                    document.bookmarks.create_category.value = 1;
                    document.bookmarks.new_category.value = newCategory;
                    document.bookmarks.actionID.value = 'move';
                    loading = true;
                    document.bookmarks.submit();
                }
            } else {
                if (document.bookmarks.selected_category.value == '') {
                    window.alert('<?php echo addslashes(_("You must select a target category first")) ?>');
                } else {
                    loading = true;
                    document.bookmarks.actionID.value = 'move';
                    document.bookmarks.new_category.value = document.bookmarks.selected_category.value;
                    document.bookmarks.submit();
                }
            }
        } else {
            alert('<?php echo addslashes(_("Please select an item first")) ?>');
        }
    }
}

//-->
</script>
